#!/bin/sh
#extract a set of reads from a fastq file when supplied by a list of reads
# 3 April 2014 added check to remove empty lines from the list
DATE=$(date +"%Y%m%d%H%M")
TemporaryList=$1.temporary$DATE
if [ $# -ne 3 ] # do a basic test to check three variables where entered. No other error checking
  then
echo "usage: extractReads.sh <FILE of MATCHES> <FASTQINPUT> <FASTQOUTPUT>"
exit 1
fi
# The sed part of the one liner will remove all white space then remove all empty lines. Does not remove tabs.
#grep -f $1 -A 3 $2 | grep -v '^--' - >>$3
#ideally this should all be on one line. However, the OS X grep does not accept STDIN as an argument to -f
 #sed 's/[[:blank:]]//' $1 | sed  '/^$/d' | LC_ALL=C grep -f - -F -A 3 $2 | grep -v '^--' - >>$3
 sed 's/[[:blank:]]//' $1 | sed  '/^$/d' >> $TemporaryList
 LC_ALL=C grep -f $TemporaryList -F -A 3 $2 | grep -v '^--' - >>$3
 rm $TemporaryList
